org.jboss.jca.deployers.fungal

## Class RAActivatorComparator

- java.lang.Object
- - org.jboss.jca.deployers.fungal.RAActivatorComparator

- All Implemented Interfaces:
    java.io.Serializable, java.util.Comparator<java.lang.String>

      public class RAActivatorComparator
      extends java.lang.Object
      implements java.util.Comparator<java.lang.String>, java.io.Serializable

  The comparator for the RA activator
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(java.lang.String o1, java.lang.String o2)` Compare
    `boolean` | `equals(java.lang.Object o)` Equals
    `int` | `hashCode()` Hash code

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Method Detail

    - #### compare

          public int compare(java.lang.String o1,
                             java.lang.String o2)

      Compare
      Specified by:
        `compare` in interface `java.util.Comparator<java.lang.String>`
      Parameters:
        `o1` - The first object
        `o2` - The second object
      Returns:
        `-1` if o1 should be invoked first, `1` if o2 should be invoked first, otherwise `0`

    - #### hashCode

          public int hashCode()

      Hash code
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        The hash

    - #### equals

          public boolean equals(java.lang.Object o)

      Equals
      Specified by:
        `equals` in interface `java.util.Comparator<java.lang.String>`
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - The object
      Returns:
        True if equal; otherwise false

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)